import http from '@/utils/request'

/* --------------节目管理--------------------- */

export function add (params) {
  return http.post(`/perform/add`, params)
}

// 节目列表
export function list (params) {
  return http.post(`/perform/list`, params)
}

// 获取节目场次列表
export function getBatchByPerform (params) {
  return http.post(`/perform/getBatchByPerform`, params)
}

export function deletePerform (id) {
  return http.post(`/perform/delete/${id}`)
}

export function updatePerform (params) {
  return http.post(`/perform/update`, params)
}

export function bindPerformWithBatch (params) {
  return http.post(`/perform/bindPerformWithBatch`, params)
}

export function getBatchPerformMatrix (params) {
  return http.post(`/perform/getBatchPerformMatrix`, params)
}

export function deleteBatchPerformMatrix (params) {
  return http.post(`/perform/deleteBatchPerformMatrix`, params)
}
